<?php
/**
 * The template for displaying Footer
 *
 * @package finstergrid
 */

class finstergrid_Footer_Customize{
        public static function register ( $wp_customize ) {
			/** Section footer **/
			
            $wp_customize->add_section('gec_footer', array(
                    'title'      => __( 'Footer', 'footer-contact' ),
                    'priority'   => 30,
                ));
			
			/** Background Color for footer**/
            $wp_customize->add_setting( 'gec_footer_bgcolor', array(
                    'default' => apply_filters( 'gec_footer_bgcolor', '#000000' ),
                    'sanitize_callback' => 'sanitize_hex_color',
                    'type'           => 'option',
                ));
				
			/** Text color for footer **/
            $wp_customize->add_setting( 'gec_footer_headcolor', array(
                    'default' => apply_filters( 'gec_footer_headcolor', '#f64612' ),
                    'sanitize_callback' => 'sanitize_hex_color',
                    'type'           => 'option',
                ));
			$wp_customize->add_setting( 'gec_footer_textcolor', array(
                    'default' => apply_filters( 'gec_footer_textcolor', '#fff' ),
                    'sanitize_callback' => 'sanitize_hex_color',
                    'type'           => 'option',
                ));
				
			/** Footer contact **/
            $wp_customize->add_setting('gec_footer_phone', array(
                'default'        => '+91',
                'capability'     => 'edit_theme_options',
                'type'           => 'option',
            ));
            $wp_customize->add_setting('gec_footer_mail', array(
                    'default'        => 'info@domain.com',
                    'capability'     => 'edit_theme_options',
                    'type'           => 'option',
                ));
			$wp_customize->add_setting('gec_footer_contact', array(
                    'default'        => 'A street',
                    'capability'     => 'edit_theme_options',
                    'type'           => 'option',
                ));
				
			/** Controls for footer settings **/					
            $wp_customize->add_control(new WP_Customize_Color_Control($wp_customize, 'gec_footer_bgcolor',
                    array(
                        'label'      => __( 'Background Color', 'footer-contact' ),
                        'section'    => 'gec_footer',
                        'settings'   => 'gec_footer_bgcolor',
                    ) ));
            $wp_customize->add_control( new WP_Customize_Color_Control( $wp_customize, 'gec_footer_headcolor',
                    array(
                        'label'      => __( 'Header Color', 'footer-contact' ),
                        'section'    => 'gec_footer',
                        'settings'   => 'gec_footer_headcolor',
                    ) ) );
			$wp_customize->add_control( new WP_Customize_Color_Control( $wp_customize, 'gec_footer_textcolor',
                    array(
                        'label'      => __( 'Text Color', 'footer-contact' ),
                        'section'    => 'gec_footer',
                        'settings'   => 'gec_footer_textcolor',
                    ) ) );
            $wp_customize->add_control(
                new WP_Customize_Color_Control($wp_customize,'gec_footer_phone',
                    array(
                        'label'      => __('Phone', 'footer-contact'),
                        'section'    => 'gec_footer',
                        'settings'   => 'gec_footer_phone',
                        'priority'   => 10,
                        'type'       => 'text'
                    )) ); 
            $wp_customize->add_control(
                new WP_Customize_Color_Control($wp_customize,'gec_footer_contact',
                    array(
                        'label'      => __('Contact', 'footer-contact'),
                        'section'    => 'gec_footer',
                        'settings'   => 'gec_footer_contact',
                        'priority'   => 10,
                        'type'       => 'textarea'
                    ))       );
			$wp_customize->add_control(
                new WP_Customize_Color_Control($wp_customize,'gec_footer_mail',
                    array(
                        'label'      => __('Mail', 'footer-contact'),
                        'section'    => 'gec_footer',
                        'settings'   => 'gec_footer_mail',
                        'priority'   => 10,
                        'type'       => 'text'
                    ))       );
        }
        public static function inject_css()
        {
            $background = get_option('gec_footer_bgcolor');
            $textcolor = get_option('gec_footer_textcolor');
			$headcolor = get_option('gec_footer_headcolor');
            ?><style>
                .footer{
					background:<?php echo $background;?>;
					padding:100px 100px;
					text-align:center;
				}
				.footer h4{
					color:<?php echo $headcolor;?>;
				}
				.footer p, .footer a{
					color:<?php echo $textcolor;?>;
				}
				.footer i{
				color:#fff;
				}
				.copyright{
					background:<?php echo $background;?>; 
					color:<?php echo $textcolor;?>;
					padding:10px 30px 3px 30px;
					opacity:0.9;
				}
				.copyright p{
					text-align:center;
					color:<?php echo $textcolor;?>;
				}
				@media only screen and (max-width: 600px) {
					.footer{
						padding:50px 20px;
						text-align:center;
					}
				}
				@media only screen and (max-width: 800px) {
					.footer{
						padding:0px 20px;
						text-align:center;
					}
					
				}
				
            </style><?php  
        }
        public static function footer_html( $wp_customize ){       
            $phone=get_option('gec_footer_phone');
			$contact=get_option('gec_footer_contact');
			$mail=get_option('gec_footer_mail');
			?>
            <div class="footer">
				<div class="container">
					<div class="row">
							
							<div class="col-lg-4">
							<h4>Information</h4><br>
							<?php wp_nav_menu( array(
						'theme_location'=>'footer',
						
							));?>
							</div>
							<div class="col-lg-4">
							<h4>Contact Details</h4><br>
							<p><?php echo $contact; ?></p>
							<p><?php echo $phone; ?></p>
							<p><?php echo $mail; ?></p>
							
							</div>
							<div class="col-lg-4">
							<h4>Social</h4><br>
							<?php wp_nav_menu( array(
						'theme_location'=>'social',
						
							));?>
							</div>
						</div>
					</div>
				</div>
			<div class="copyright">
				<p class="col-md-12"><?php bloginfo('name'); ?> &copy; <?php echo date('Y');?></p>
			</div>
			
						
  <?php }
    }
    add_action( 'customize_register' , array( 'finstergrid_Footer_Customize' , 'register' ) );
    add_action('wp_head',array( 'finstergrid_Footer_Customize' , 'inject_css' ));
    add_action('finstergrid_footer', array( 'finstergrid_Footer_Customize' , 'footer_html' ));
	
	?>